
Foreman - Refactor #16965

Rename Smart Proxy to Foreman Proxy

10/17/2016 04:41 AM - Lukas Zapletal

Status: New   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

we have Smart Proxy in the Foreman Core, WebUI/API/CLI and also in our Core documentation, but in the installer and package

name it's foreman-proxy. This creates confusion.

I suggest to "communicate" it from now on with new official name: "Foreman Smart Proxy" (where appropriate). Short versions stays

as "Smart Proxy" or "Smart Proxies" (e.g. in the main menu).

This will help us to "teach" our users that this is essentially the same thing.

History

#1 - 10/17/2016 08:41 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3947 added

#2 - 11/03/2016 11:40 AM - Lukas Zapletal

- Subject changed from Rename Smart Proxy to Foreman Smart Proxy to Rename Smart Proxy to Foreman Proxy

- Status changed from Ready For Testing to New

- Assignee deleted (Lukas Zapletal)

- Difficulty deleted (trivial)

- Pull request deleted (https://github.com/theforeman/foreman/pull/3947)

Foreman Proxy seems better option, but note we also use smart-proxy term internally a lot. This could create inconsistency.
